osl::game_playing::ResignPlayer Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
osl::game_playing::ResignPlayer Class Reference

常に投了する More...

`#include <computerPlayer.h>`

Inheritance diagram for osl::game_playing::ResignPlayer:
[legend]
Collaboration diagram for osl::game_playing::ResignPlayer:
[legend]

## Public Member Functions
| ~ResignPlayer ()
ComputerPlayer * | clone () const
| new したものを返す More...
void | pushMove (Move m)
void | popMove ()
const MoveWithComment | selectBestMove (const GameState &, int, int, int)
Public Member Functions inherited from osl::game_playing::ComputerPlayer
| ComputerPlayer ()
virtual | ~ComputerPlayer ()
virtual bool | isReasonableMove (const GameState &, Move move, int pawn_sacrifice)
virtual void | setInitialState (const NumEffectState &)
virtual void | allowSpeculativeSearch (bool value)
| 相手時間の探索を許可する (GameManager が操作) More...
virtual bool | stopSearchNow ()
| 探索をとめる More...
virtual void | setRootIgnoreMoves (const container::MoveVector *rim, bool prediction)

## Additional Inherited Members
Protected Attributes inherited from osl::game_playing::ComputerPlayer
bool | speculative_search_allowed

## Detailed Description

常に投了する

Definition at line 67 of file computerPlayer.h.

## Constructor & Destructor Documentation

osl::game_playing::ResignPlayer::~ResignPlayer | ( | ) |  |

Definition at line 52 of file computerPlayer.cc.

## Member Function Documentation

ComputerPlayer* osl::game_playing::ResignPlayer::clone | ( | ) |  | const
| inlinevirtual

new したものを返す

Implements osl::game_playing::ComputerPlayer.

Definition at line 71 of file computerPlayer.h.

void osl::game_playing::ResignPlayer::popMove | ( | ) |  |
| virtual

Implements osl::game_playing::ComputerPlayer.

Definition at line 61 of file computerPlayer.cc.

void osl::game_playing::ResignPlayer::pushMove | ( | Move | m) |  |
| virtual

Implements osl::game_playing::ComputerPlayer.

Definition at line 57 of file computerPlayer.cc.

const osl::search::MoveWithComment osl::game_playing::ResignPlayer::selectBestMove | ( | const GameState & | ,
|  | int | seconds,
|  | int | elapsed,
|  | int | byoyomi
| ) |  |
| virtual

Parameters

  seconds | 残り持ち時間

Implements osl::game_playing::ComputerPlayer.

Definition at line 65 of file computerPlayer.cc.

The documentation for this class was generated from the following files:

- computerPlayer.h
- computerPlayer.cc